#
# spec file for package python-futures
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-futures
Version:        2.1.3
Release:        0.7.1
License:        BSD-2-Clause
Summary:        Backport of the concurrent.futures package from Python 32
Url:            http://code.google.com/p/pythonfutures
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/f/futures/futures-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110 || 0%{?rhel} == 5
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
A Java-style futures package for Python

This package is described in PEP-3148 and is included in Python 3.2.

See the Python documentation for a full description. 

%prep
%setup -q -n futures-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#python test

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 24 2013 cfarrell@suse.com
- license update: BSD-2-Clause
  See LICENSE file
* Tue Apr  9 2013 speilicke@suse.com
- Initial version
